For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

Get dids associated with this user

get

Gets all dids that have been associated with the user for this did

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
string[]Optional
get/user/dids
GET /api/user/dids HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  "text"
]

Associate a did with this user

post

Associates a did with the user for this did

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
presentationany ofRequired
or
stringOptional
Responses
200

Successful response

application/json
booleanOptional
post/user/dids/add
POST /api/user/dids/add HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1519

{
  "presentation": {
    "@context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "verifiableCredential": {
      "@context": [
        "text"
      ],
      "id": "text",
      "type": [
        "text"
      ],
      "issuer": "text",
      "credentialSubject": {
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "refreshService": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "credentialSchema": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "issuanceDate": "text",
      "expirationDate": "text",
      "credentialStatus": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "name": "text",
      "description": "text",
      "validFrom": "text",
      "validUntil": "text",
      "status": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "termsOfUse": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "evidence": {
        "id": "text",
        "type": [
          "text"
        ],
        "name": "text",
        "narrative": "text",
        "description": "text",
        "genre": "text",
        "audience": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "renderMethod": {
        "type": "text",
        "renderSuite": "text",
        "template": "text",
        "renderProperty": [
          "text"
        ],
        "outputPreference": {
          "mediaType": "text"
        }
      },
      "proof": {
        "type": "text",
        "created": "text",
        "challenge": "text",
        "domain": "text",
        "nonce": "text",
        "proofPurpose": "text",
        "verificationMethod": "text",
        "jws": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "holder": "text",
    "proof": {
      "type": "text",
      "created": "text",
      "challenge": "text",
      "domain": "text",
      "nonce": "text",
      "proofPurpose": "text",
      "verificationMethod": "text",
      "jws": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
true

Disassociate a did with this user

post

Disassociates a did with the user for this did

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
presentationany ofRequired
or
stringOptional
Responses
200

Successful response

application/json
booleanOptional
post/user/dids/remove
POST /api/user/dids/remove HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1519

{
  "presentation": {
    "@context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "verifiableCredential": {
      "@context": [
        "text"
      ],
      "id": "text",
      "type": [
        "text"
      ],
      "issuer": "text",
      "credentialSubject": {
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "refreshService": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "credentialSchema": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "issuanceDate": "text",
      "expirationDate": "text",
      "credentialStatus": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "name": "text",
      "description": "text",
      "validFrom": "text",
      "validUntil": "text",
      "status": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "termsOfUse": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "evidence": {
        "id": "text",
        "type": [
          "text"
        ],
        "name": "text",
        "narrative": "text",
        "description": "text",
        "genre": "text",
        "audience": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "renderMethod": {
        "type": "text",
        "renderSuite": "text",
        "template": "text",
        "renderProperty": [
          "text"
        ],
        "outputPreference": {
          "mediaType": "text"
        }
      },
      "proof": {
        "type": "text",
        "created": "text",
        "challenge": "text",
        "domain": "text",
        "nonce": "text",
        "proofPurpose": "text",
        "verificationMethod": "text",
        "jws": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "holder": "text",
    "proof": {
      "type": "text",
      "created": "text",
      "challenge": "text",
      "domain": "text",
      "nonce": "text",
      "proofPurpose": "text",
      "verificationMethod": "text",
      "jws": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
true

Sets the primary did for a user

post

Sets the primary did for the user with this did

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
presentationany ofRequired
or
stringOptional
Responses
200

Successful response

application/json
booleanOptional
post/user/dids/setPrimary
POST /api/user/dids/setPrimary HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1519

{
  "presentation": {
    "@context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "verifiableCredential": {
      "@context": [
        "text"
      ],
      "id": "text",
      "type": [
        "text"
      ],
      "issuer": "text",
      "credentialSubject": {
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "refreshService": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "credentialSchema": {
        "id": "text",
        "type": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "issuanceDate": "text",
      "expirationDate": "text",
      "credentialStatus": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "name": "text",
      "description": "text",
      "validFrom": "text",
      "validUntil": "text",
      "status": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "termsOfUse": {
        "type": "text",
        "id": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "evidence": {
        "id": "text",
        "type": [
          "text"
        ],
        "name": "text",
        "narrative": "text",
        "description": "text",
        "genre": "text",
        "audience": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "renderMethod": {
        "type": "text",
        "renderSuite": "text",
        "template": "text",
        "renderProperty": [
          "text"
        ],
        "outputPreference": {
          "mediaType": "text"
        }
      },
      "proof": {
        "type": "text",
        "created": "text",
        "challenge": "text",
        "domain": "text",
        "nonce": "text",
        "proofPurpose": "text",
        "verificationMethod": "text",
        "jws": "text",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "holder": "text",
    "proof": {
      "type": "text",
      "created": "text",
      "challenge": "text",
      "domain": "text",
      "nonce": "text",
      "proofPurpose": "text",
      "verificationMethod": "text",
      "jws": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
true

Last updated

Was this helpful?